# SNESGetRhs

Gets the vector for solving F(x) = rhs. If rhs is not set it assumes a zero right hand side.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESGetRhs(SNES snes,Vec *rhs)

Collective on SNES

### Input Parameter

snes -the SNES context

### Output Parameter

rhs -the right hand side vector or PETSC_NULL for a zero right hand side

### Keywords

SNES, nonlinear, get, function, right hand side

### See Also

SNESSetRhs(), SNESGetFunction(), SNESComputeFunction(), SNESSetJacobian(), SNESSetFunction()

Level:intermediate
Location: src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages